Subject: Re: bug#34157: Hydra: mozjs-60 builds on x86_64 and i686 seemingly get stuck

From: Efraim Flashner <[email-masked]>
Date: Mon, 21 Jan 2019 17:39:47 +0200

On Mon, Jan 21, 2019 at 10:31:46AM -0500, Mark H Weaver wrote:
> Yesterday on Hydra, I found both Intel mozjs-60 builds seemingly stuck
> while exporting the source checkout to hydra.gnunet.org.  One had been
> going for ~22.5 hours, and the other for ~12 hours.  I forcefully killed
> them and restarted them.  Now I see the same thing has happened on the
> second attempt.  Both builds have been seemingly stuck like this for
> about 19 hours:
> 
>   https://hydra.gnu.org/build/3342528
>   https://hydra.gnu.org/build/3343511
> 
> In both cases, the build logs are empty, and the hydra log ends with:
> 
>   sending 1 store item to 'hydra.gnunet.org'...
>   exporting path `/gnu/store/j2sz7dg35vkcz38sim71jll2ix1nk554-mozjs-60.2.3-2-checkout'
> 
> Of course, it's possible that they're not really stuck, but that they're
> merely taking a ridiculously long time to send the source checkout to
> the build slave.  My personal checkout of the mozilla-esr60 branch,
> without the .hg directory, is about 2.1 gigabytes.
> 
> What do you think?
> 
>       Mark
> 
12 hours is far too long for it to tie up a build slave, sending code or
not. Being silent that long doesn't trigger the auto-kill?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted